=== debian/changelog ===
slv2 (0.6.6-5) unstable; urgency=low

  * debian/patches/02-hppa_parallel.patch: Disable parallel build on
    hppa architecture (Closes: #590976).
  * Adjust debian/rules to apply patch on-the-fly.
  * Bump Standards.
  * Remove DM-Upload-Allowed: yes.
  * Add .gitignore file.
  * Set architecture of the -DEV package to all, adjust Depends field
    properly.

 -- Alessio Treglia <alessio@debian.org>  Sat, 31 Jul 2010 11:43:42 +0200

slv2 (0.6.6-4) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added DM-Upload-Allowed: yes
  * libslv2-dev depends on lv2core (Closes: #582371)

  [ Alessio Treglia ]
  * Add myself as Uploader.
  * Bump Standards:
    - Add missing ${misc:Depends} macro.
  * Set source format to 3.0 (quilt).
  * Update debian/copyright file.
  * Switch to debhelper 7.
  * Add debian/gbp.conf file.
  * Document how-to patch sources by using quilt.
  * Correct maintainer's name.
  * Fix build failure with binutils-gold (Closes: #556347).
  * debian/patches/01-spelling_errors.patch: Fix spelling errors.
  * Add doc-base control file for slv2-doc.

 -- Alessio Treglia <alessio@debian.org>  Thu, 24 Jun 2010 10:45:12 +0200

slv2 (0.6.6-3) unstable; urgency=low

  * switching from Recommends to Suggests (Closes: #549121)
    -libslv2-9 for slv2-jack 
    -libslv2-dev for slv2-doc

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 01 Oct 2009 11:44:53 +0200

slv2 (0.6.6-2) unstable; urgency=low

  * Improved copyright file

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 22 Jul 2009 01:37:46 +0200

slv2 (0.6.6-1) unstable; urgency=low

  * Initial release (Closes: #522069)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 15 Jul 2009 00:34:41 +0200
  
