=== debian/control ===
Source: slv2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 python,
 librdf0-dev,
 lv2core,
 doxygen,
 libjack-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/slv2.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/slv2.git
Homepage: http://drobilla.net/software/slv2

Package: libslv2-9
Section: libs
Depends: ${shlibs:Depends},
 librdf0,
 ${misc:Depends}
Suggests: slv2-jack
Architecture: any
Description: A library for simple use of LV2 plugins
 SLV2 is a library geared towards music and audio applications
 which makes the use of LV2 plugins as simple as possible.
 LV2 is a standard for plugins and matching host applications,
 mainly targeted at audio processing and generation.
 .
 This package contains the shared library for libslv2.
 
Package: libslv2-dev
Section: libdevel
Depends: libslv2-9 (>= ${source:Version}),
 libslv2-9 (<< ${source:Upstream-Version}+1~),
 ${misc:Depends},
 librdf0-dev,
 lv2core
Suggests: slv2-doc
Architecture: all
Description: Development files (headers) for SLV2 library
 SLV2 is a library geared towards music and audio applications
 which makes the use of LV2 plugins as simple as possible. 
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA
 which many applications have outgrown.
 .
 This package contains the headers used to build applications
 that use libslv2.
 
Package: slv2-jack
Section: utils
Depends: ${shlibs:Depends},
 jackd,
 ${misc:Depends}
Architecture: any
Description: Jack support for LV2 plugins
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA
 which many applications have outgrown.
 .
 This package contains binary files. 

Package: slv2-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: Documentation for SLV2
 Man pages documenting the SLV2 API.
 SLV2 is a library geared towards music and audio applications
 which makes the use of LV2 plugins as simple as possible.
 LV2 is a standard for plugins and matching host applications,
 mainly targeted at audio processing and generation.
 .
 This package contains the API documentation for libslv2.
