=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) --version && cd .waf*/wafadmin && \
		patch -p1 < $(CURDIR)/debian/patches/02-hppa_parallel.patch
	LINKFLAGS="-ldl" $(WAF) configure   --prefix=/usr  --build-docs

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) --version && cd .waf*/wafadmin && \
		patch -p1 < $(CURDIR)/debian/patches/02-hppa_parallel.patch
	$(WAF) distclean
	rm -f autowaf.pyc
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp
