=== debian/watch ===
version=3

http://download.drobilla.net/slv2-(.*)\.tar\.bz2
