## slv2 0.6.6%2Bdfsg1

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg\d+// \
http://download.drobilla.net/slv2-(.*)\.tar\.bz2
