=== debian/changelog ===
slv2 (0.6.6+dfsg1-3build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:07:49 +0000

slv2 (0.6.6+dfsg1-3) unstable; urgency=low

  * Improve description. (Closes: #681899)
  * Introduce multi-arch. (Closes: #777201)
  * Bump Standards.
  * Tune gitignore file to handle rather dir.
  * Fix VCS canonical URLs.
  * Removed DMUA.
  * Set dh/compat 9.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 11 Feb 2015 20:43:47 +0100

slv2 (0.6.6+dfsg1-2) unstable; urgency=low

  * Port to lv2-dev.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 May 2012 19:01:38 +0200

slv2 (0.6.6+dfsg1-1) unstable; urgency=low

  * Rewrite debian/copyright as per DEP-5 svn revision #173.
  * Repack upstream tarball to get rid of the waf binary (Closes: #654503).
  * debian/watch: Mangle debian's versioning.
  * debian/rules: Properly clean sources tree.
  * With waf unpacked, 02-hppa_parallel.patch could be applied by quilt.
  * Package description should not start with an article.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 21:24:06 +0100

slv2 (0.6.6-9) unstable; urgency=medium

  * Set slv2-jack's Section to sound.
  * Fix upgrade path (Closes: #615968):
    - Add {Breaks,Replaces}: libslv2-9 (<< 0.6.6-8) to slv2-doc's stanza.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Mar 2011 14:30:12 +0100

slv2 (0.6.6-8) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Make libslv2-dev architecture any:
    - On request of the RT, because having it arch:all make it instantaly
      uninstallable on all architecture that haven't built it yet. This
      greatly slows down the buildds and ongoing transitions.

  [ Alessio Treglia ]
  * Move manpages from libslv2-9 to slv2-doc package (Closes: #615847);
    thanks to Julien Cristau for the report.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Mar 2011 12:34:24 +0100

slv2 (0.6.6-7) unstable; urgency=low

  * Tighten dependency on redland.
  * Tighten dependency on libraptor2-dev
  * Add myself to the list of uploaders.
  * Allow DMs to upload this package.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 28 Feb 2011 12:40:10 +0100

slv2 (0.6.6-6) unstable; urgency=low

  [ Adrian Knoth ]
  * Add patch to prevent clashing libraptor1/libraptor2;
    closes: #613677.
  * Enable raptor patch

  [ Alessio Treglia ]
  * Build-depend on libraptor2-dev.
  * Needs librdf0-dev (>= 1.0.13).
  * Add local-options file to unapply patches after
    git-buildpackage'ing.

 -- Alessio Treglia <alessio@debian.org>  Sun, 27 Feb 2011 09:22:25 +0100
