=== debian/control ===
Source: slv2
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 9),
 python,
 librdf0-dev (>= 1.0.13-2),
 libraptor2-dev (>= 2.0.0-2),
 lv2-dev,
 doxygen,
 libjack-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/slv2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/slv2.git
Homepage: http://drobilla.net/software/slv2

Package: libslv2-9
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 librdf0,
 ${misc:Depends}
Suggests: slv2-jack
Architecture: any
Multi-Arch: same
Description: library for simple use of LV2 plugins
 SLV2 is a library geared towards music and audio applications
 which makes the use of LV2 plugins as simple as possible.
 LV2 is a standard for plugins and matching host applications,
 mainly targeted at audio processing and generation.
 .
 This package contains the shared library for libslv2.
 
Package: libslv2-dev
Section: libdevel
Depends: libslv2-9 (>= ${source:Version}),
 libslv2-9 (<< ${source:Upstream-Version}+1~),
 ${misc:Depends},
 librdf0-dev,
 lv2-dev
Suggests: slv2-doc
Architecture: any
Multi-Arch: same
Description: Development files (headers) for SLV2 library
 SLV2 is a library geared towards music and audio applications
 which makes the use of LV2 plugins as simple as possible. 
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA
 which many applications have outgrown.
 .
 This package contains the headers used to build applications
 that use libslv2.
 
Package: slv2-jack
Depends: ${shlibs:Depends},
 jackd,
 ${misc:Depends}
Architecture: any
Multi-Arch: foreign
Description: Jack support for LV2 plugins
 a collection of programs which caring for connecting
 LV2 plugins (http://lv2plug.in) to jackd.
 .
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA
 which many applications have outgrown.
 .
 This package contains binary files. 

Package: slv2-doc
Section: doc
Depends: ${misc:Depends}
Replaces: libslv2-9 (<< 0.6.6-8)
Breaks: libslv2-9 (<< 0.6.6-8)
Architecture: all
Description: Documentation for SLV2
 Man pages documenting the SLV2 API.
 SLV2 is a library geared towards music and audio applications
 which makes the use of LV2 plugins as simple as possible.
 LV2 is a standard for plugins and matching host applications,
 mainly targeted at audio processing and generation.
 .
 This package contains the API documentation for libslv2.
