=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	LINKFLAGS="-ldl" $(WAF) configure   --prefix=/usr  --build-docs --libdir=usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean
	find -name "*.pyc" -delete
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp
